=== debian/changelog ===
orthanc-mysql (2.0-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
  * Dropped changes, fixed in Debian:
    - switch back with the orthanc framework provided by Debian

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jul 2020 14:48:54 +0200

orthanc-mysql (2.0-3) unstable; urgency=medium

  * Updated Orthanc framework to 1.7.0. Closes: #962252

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 05 Jun 2020 10:33:02 +0200

orthanc-mysql (2.0-2ubuntu3) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 21 Feb 2020 13:55:23 -0300

orthanc-mysql (2.0-2) unstable; urgency=medium

  * Removed $(DEB_VERSION) from SOVERSION. Closes: #920662

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 28 Jan 2019 11:55:02 +0100

orthanc-mysql (2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 24 Jan 2019 09:24:09 +0100

orthanc-mysql (1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 13 Nov 2018 15:23:11 +0100

orthanc-mysql (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #903973)

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 18 Jul 2018 08:36:11 +0200
