=== debian/control ===
Source: orthanc-mysql
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 10),
               libboost-all-dev,
               libcurl4-openssl-dev | libcurl4-dev,
               libgtest-dev,
               libjsoncpp-dev,
               libssl-dev,
               orthanc-dev,
               default-libmysqlclient-dev,
               unzip,
               uuid-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/orthanc-mysql
Vcs-Git: https://salsa.debian.org/med-team/orthanc-mysql.git
Homepage: https://www.orthanc-server.com/static.php?page=mysql

Package: orthanc-mysql
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         orthanc (>= 0.9.5)
Suggests: default-mysql-server
Description: Plugins to use MySQL or MariaDB as a database back-end to Orthanc
 Orthanc MySQL is a set of two plugins to Orthanc, a lightweight,
 RESTful Vendor Neutral Archive for medical imaging. These plugins
 override the default SQLite engine of Orthanc with a MySQL or
 MariaDB back-end. They bring scalability to Orthanc, making it
 enterprise-ready.
