## orthanc-mysql 3.0

=== MySQL/CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,24 @@
 cmake_minimum_required(VERSION 2.8)
 project(OrthancMySQL)
 
-set(ORTHANC_PLUGIN_VERSION "2.0")
+set(ORTHANC_PLUGIN_VERSION "3.0")
+
+set(ORTHANC_OPTIMAL_VERSION_MAJOR    1)
+set(ORTHANC_OPTIMAL_VERSION_MINOR    5)
+set(ORTHANC_OPTIMAL_VERSION_REVISION 4)
 
 if (ORTHANC_PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_VERSION "1.5.2")
+  set(ORTHANC_FRAMEWORK_VERSION "4a3ba4bf4ba7")  # This is Orthanc Framework pre-1.8.2 (includes a fix for OpenSSL on MSVC)
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
 include(${CMAKE_SOURCE_DIR}/../Resources/CMake/DatabasesPluginParameters.cmake)
 
 set(ENABLE_MYSQL_BACKEND ON)
+set(OPENSSL_STATIC_VERSION "1.1.1" CACHE STRING "Force the use of OpenSSL 1.1.1" FORCE)
   
 include(${CMAKE_SOURCE_DIR}/../Resources/CMake/DatabasesPluginConfiguration.cmake)
 
@@ -21,7 +26,7 @@
 if (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
   execute_process(
     COMMAND 
-    ${PYTHON_EXECUTABLE} ${ORTHANC_ROOT}/Resources/WindowsResources.py
+    ${PYTHON_EXECUTABLE} ${ORTHANC_FRAMEWORK_ROOT}/../Resources/WindowsResources.py
     ${ORTHANC_PLUGIN_VERSION} "MySQL storage area plugin" OrthancMySQLStorage.dll
     "MySQL as a database back-end to Orthanc (storage area)"
     ERROR_VARIABLE Failure
@@ -34,7 +39,7 @@
 
   execute_process(
     COMMAND 
-    ${PYTHON_EXECUTABLE} ${ORTHANC_ROOT}/Resources/WindowsResources.py
+    ${PYTHON_EXECUTABLE} ${ORTHANC_FRAMEWORK_ROOT}/../Resources/WindowsResources.py
     ${ORTHANC_PLUGIN_VERSION} "MySQL index plugin" OrthancMySQLIndex.dll
     "MySQL as a database back-end to Orthanc (index)"
     ERROR_VARIABLE Failure
@@ -56,6 +61,12 @@
   MYSQL_CREATE_INSTANCE        ${CMAKE_SOURCE_DIR}/Plugins/CreateInstance.sql
   )
 
+add_custom_target(
+  AutogeneratedTarget
+  DEPENDS 
+  ${AUTOGENERATED_SOURCES}
+  )
+
 add_library(OrthancMySQLIndex SHARED
   ${INDEX_RESOURCES}
   ${ORTHANC_DATABASES_ROOT}/Framework/Plugins/PluginInitialization.cpp
@@ -66,6 +77,8 @@
   ${AUTOGENERATED_SOURCES}
   )
 
+add_dependencies(OrthancMySQLIndex AutogeneratedTarget)
+
 add_library(OrthancMySQLStorage SHARED
   ${ORTHANC_DATABASES_ROOT}/Framework/Plugins/PluginInitialization.cpp
   ${STORAGE_RESOURCES}
@@ -75,6 +88,8 @@
   ${DATABASES_SOURCES}
   ${AUTOGENERATED_SOURCES}
   )
+
+add_dependencies(OrthancMySQLStorage AutogeneratedTarget)
 
 message("Setting the version of the libraries to ${ORTHANC_PLUGIN_VERSION}")
 
@@ -111,6 +126,8 @@
   ${AUTOGENERATED_SOURCES}
   )
 
+add_dependencies(UnitTests AutogeneratedTarget)
+
 target_link_libraries(UnitTests ${GOOGLE_TEST_LIBRARIES})
 set_target_properties(UnitTests PROPERTIES
   COMPILE_FLAGS -DORTHANC_ENABLE_LOGGING_PLUGIN=0
