=== debian/changelog ===
orthanc-mysql (3.0-1) unstable; urgency=medium

  * New upstream version
  * Dynamic linking against "liborthancframework*"

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 17 Dec 2020 08:58:15 +0100
