=== debian/control ===
--- 
+++ 
@@ -5,16 +5,13 @@
 Priority: optional
 Build-Depends: cmake,
                debhelper (>= 10),
-               libboost-all-dev,
-               libcurl4-openssl-dev | libcurl4-dev,
                libgtest-dev,
-               libjsoncpp-dev,
+               liborthancframework-dev,
                libssl-dev,
                orthanc-dev,
                default-libmysqlclient-dev,
-               unzip,
-               uuid-dev
-Standards-Version: 4.5.0
+               unzip
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-mysql
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-mysql.git
 Homepage: https://www.orthanc-server.com/static.php?page=mysql
