=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,7 @@
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DSTATIC_BUILD:BOOL=OFF \
 	-DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
-	-DORTHANC_FRAMEWORK_SOURCE=path \
-	-DORTHANC_FRAMEWORK_ROOT=`pwd`/debian/orthanc-framework/Orthanc-1.7.0 \
+	-DORTHANC_FRAMEWORK_SOURCE=system \
 	-DDEB_VERSION=$(DEB_VERSION) \
 	-DCMAKE_BUILD_TYPE=None  # The build type must be set to None, see #711515
