## orthanc-mysql 4.3

=== MySQL/CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
 cmake_minimum_required(VERSION 2.8)
 project(OrthancMySQL)
 
-set(ORTHANC_PLUGIN_VERSION "3.0")
+set(ORTHANC_PLUGIN_VERSION "4.3")
 
 set(ORTHANC_OPTIMAL_VERSION_MAJOR    1)
-set(ORTHANC_OPTIMAL_VERSION_MINOR    5)
-set(ORTHANC_OPTIMAL_VERSION_REVISION 4)
+set(ORTHANC_OPTIMAL_VERSION_MINOR    9)
+set(ORTHANC_OPTIMAL_VERSION_REVISION 2)
 
 if (ORTHANC_PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_VERSION "4a3ba4bf4ba7")  # This is Orthanc Framework pre-1.8.2 (includes a fix for OpenSSL on MSVC)
+  set(ORTHANC_FRAMEWORK_VERSION "1.9.6")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -67,29 +67,33 @@
   ${AUTOGENERATED_SOURCES}
   )
 
+add_library(FrameworkForPlugins STATIC
+  ${AUTOGENERATED_SOURCES}
+  ${DATABASES_SOURCES}
+  ${ORTHANC_DATABASES_ROOT}/Framework/Plugins/PluginInitialization.cpp
+  Plugins/MySQLIndex.cpp
+  Plugins/MySQLStorageArea.cpp
+  )
+
+set_target_properties(FrameworkForPlugins PROPERTIES
+  POSITION_INDEPENDENT_CODE ON
+  COMPILE_FLAGS -DORTHANC_ENABLE_LOGGING_PLUGIN=1
+  )
+
 add_library(OrthancMySQLIndex SHARED
   ${INDEX_RESOURCES}
-  ${ORTHANC_DATABASES_ROOT}/Framework/Plugins/PluginInitialization.cpp
   Plugins/IndexPlugin.cpp
-  Plugins/MySQLIndex.cpp
-
-  ${DATABASES_SOURCES}
-  ${AUTOGENERATED_SOURCES}
   )
 
-add_dependencies(OrthancMySQLIndex AutogeneratedTarget)
-
 add_library(OrthancMySQLStorage SHARED
-  ${ORTHANC_DATABASES_ROOT}/Framework/Plugins/PluginInitialization.cpp
   ${STORAGE_RESOURCES}
-  Plugins/MySQLStorageArea.cpp
   Plugins/StoragePlugin.cpp
-
-  ${DATABASES_SOURCES}
-  ${AUTOGENERATED_SOURCES}
   )
 
-add_dependencies(OrthancMySQLStorage AutogeneratedTarget)
+add_dependencies(FrameworkForPlugins AutogeneratedTarget)
+
+target_link_libraries(OrthancMySQLIndex FrameworkForPlugins)
+target_link_libraries(OrthancMySQLStorage FrameworkForPlugins)
 
 message("Setting the version of the libraries to ${ORTHANC_PLUGIN_VERSION}")
