=== debian/changelog ===
orthanc-mysql (4.3-3) unstable; urgency=medium

  * Replace explicit restart of Orthanc by orthanc-restart-trigger

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sun, 16 Jan 2022 18:51:47 +0100

orthanc-mysql (4.3-2) unstable; urgency=medium

  * Upload to unstable after freeze

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 01 Sep 2021 15:31:50 +0200

orthanc-mysql (4.3-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 22 Jul 2021 21:35:35 +0200

orthanc-mysql (4.2-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 20 Jul 2021 18:04:04 +0200

orthanc-mysql (4.1-1) experimental; urgency=medium

  * New upstream version
  * Added missing "Built-Using" attribute

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 08 Jul 2021 15:03:43 +0200

orthanc-mysql (4.0-1) experimental; urgency=medium

  * New upstream version
  * Statically linking against the Orthanc framework

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 26 Apr 2021 11:34:05 +0200
