=== debian/control ===
--- 
+++ 
@@ -5,13 +5,15 @@
 Priority: optional
 Build-Depends: cmake,
                debhelper (>= 10),
+               libcurl4-openssl-dev | libcurl4-dev,
                libgtest-dev,
                liborthancframework-dev,
                libssl-dev,
-               orthanc-dev,
+               orthanc-dev (>= 0.9.5),
                default-libmysqlclient-dev,
+               uuid-dev,
                unzip
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-mysql
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-mysql.git
 Homepage: https://www.orthanc-server.com/static.php?page=mysql
@@ -20,7 +22,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         orthanc (>= 0.9.5)
+         orthanc (>= 1.9.7+dfsg-6)
+Built-Using: ${orthancframework:Built-Using}
 Suggests: default-mysql-server
 Description: Plugins to use MySQL or MariaDB as a database back-end to Orthanc
  Orthanc MySQL is a set of two plugins to Orthanc, a lightweight,
