## orthanc-mysql 5.0%2Bdfsg

=== debian/changelog ===
orthanc-mysql (5.0+dfsg-3) unstable; urgency=medium

  * Fix FTBFS with recent versions of CMake. Closes: #1113373

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 01 Sep 2025 12:55:27 +0200

orthanc-mysql (5.0+dfsg-2) unstable; urgency=medium

  * Fix FTBFS with boost 1.88. Closes: #1110761

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 19 Aug 2025 14:27:49 +0200

orthanc-mysql (5.0+dfsg-1) unstable; urgency=medium

  * New upstream version. Closes: #1041082

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 18 Aug 2023 16:47:07 +0200
