=== debian/control ===
--- 
+++ 
@@ -8,15 +8,18 @@
                libcurl4-openssl-dev | libcurl4-dev,
                libgtest-dev,
                liborthancframework-dev,
+               libprotobuf-dev,
                libssl-dev,
                orthanc-dev (>= 0.9.5),
+               protobuf-compiler,
                default-libmysqlclient-dev,
                uuid-dev,
                unzip
-Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-mysql
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-mysql.git
-Homepage: https://www.orthanc-server.com/static.php?page=mysql
+Homepage: https://orthanc.uclouvain.be/book/plugins/mysql.html
 
 Package: orthanc-mysql
 Architecture: any
